package com.fzm.mall.server.front.shopping.service;

import com.fzm.mall.server.front.shopping.model.UserShoppingCart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.shopping.model.dto.ShoppingCartDto;

import java.util.List;

/**
 * <p>
 * 用户购物车表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-26
 */
public interface IUserShoppingCartService extends IService<UserShoppingCart> {
    int saveOrUpdateShoppingCart(String uid, ShoppingCartDto shoppingCartDto);

    List<UserShoppingCart> getList(String uid);

    UserShoppingCart getShopById(String id);

    int delList(String uid, String skuIds);

    UserShoppingCart getShopBySkuId(String skuId,String uid,Integer isActive);
}
